Announcement

#1 2018-07-19 17:35:32

sbutlerusa
Member
2018-07-19
6

site error after 2.9.4 update

Hello/Hi/Greetings,

I followed the automatic upgrade from 2.9.3 to 2.9.4 and now the site is broken. I cannot get back to the admin page. Should I roll back? If so, is there a link to 2.9.3. If not, what should I do to get the Piwigo gallery back. I've used it for about 10 years and love it!

Piwigo version: 2.9.4
PHP version: 5.6.3
MySQL version: 5.6.32-78.1
Piwigo URL: http://www.greaterelizabeth.org/gallery/

Offline

 

#2 2018-07-19 17:47:43

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13174

Re: site error after 2.9.4 update

Hi sbutlerusa,

1) download Piwigo 2.9.3 on https://piwigo.org/release-2.9.3
2) extract files from zip file
3) upload files on your Piwigo installation to overwrite existing files


Latest blog post (May 3rd 2018) New subscription form

Offline

 

#3 2018-07-19 20:01:45

sbutlerusa
Member
2018-07-19
6

Re: site error after 2.9.4 update

Thank you for responding so quickly. I saved my Upload folder first so as not to lose our photos and then FTP'd Piwigo 2.9.3. A new installation page appeared so I created a new database but now realize that may have been a mistake. Now the gallery is back up but the photos don't appear.

Should I have used the old (existing piwigo) database? If so, can I delete the new database and rename the old database with that new name? Or is there a way to change the database name within this Piwigo instance so it points to the old database?

Offline

 

#4 2018-07-19 21:21:49

executive
Member
2017-08-16
348

Re: site error after 2.9.4 update

sbutlerusa wrote:

Should I have used the old (existing piwigo) database?

Yes.
Change the database.inc.php file to point to the database you want. (renaming it as you said should work too.

I see no reason why you shouldn't be able to use 2.9.4
Try searching the forum for your issue.

Offline

 

#5 2018-07-20 15:36:45

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13174

Re: site error after 2.9.4 update

It seems to be fine now.

Can you confirm your PHP version? It is written on your Piwigo, page [Administration > Tools > Maintenance].


Latest blog post (May 3rd 2018) New subscription form

Offline

 

#6 2018-07-20 16:18:11

sbutlerusa
Member
2018-07-19
6

Re: site error after 2.9.4 update

Thank you, plg and executive, for your prompt help!

With your help,plg, I went back to 2.9.3 and then with executive's help above, I updated database.inc.php to reflect the correct database.

Piwigo 2.9.3
Operating system: Linux
PHP: 5.2.17 (Show info) [2018-07-20 08:07:13]
MySQL: 5.6.32-78.1 [2018-07-20 08:07:13]
Graphics Library: ImageMagick 6.7.9-10

What version should PHP be?

I got here via a Piwigo email "Piwigo 2.9.4 is available, please update. It only takes a few clicks."

Please advise what my next step should be.

Thank you again!

Sandra

Offline

 

#7 2018-07-20 16:51:16

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13174

Re: site error after 2.9.4 update

Your PHP version is 5.2.17, which is not compatible with Piwigo 2.9.4. Do not try to update for now.

First you need to switch to a more recent version of PHP (yours is 7.5 years old...). Ask your hosting provider for help if you don't know how to do it.

Once you will be running PHP 5.3 or higher (PHP 7.1 would be perfect) you will be able to update your Piwigo to version 2.9.4.


Latest blog post (May 3rd 2018) New subscription form

Offline

 

#8 2018-07-20 16:54:25

sbutlerusa
Member
2018-07-19
6

Re: site error after 2.9.4 update

Thank you! I will contact Bluehost.

Offline

 

#9 2018-07-20 17:13:28

sbutlerusa
Member
2018-07-19
6

Re: site error after 2.9.4 update

Didn't need Bluehost. I figured out how to update the PHP. I'm now running 2.9.4. Thank you for all of your help. This support forum is excellent!

Offline

 

#10 2018-07-20 17:17:10

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13174

Re: site error after 2.9.4 update

sbutlerusa wrote:

Didn't need Bluehost. I figured out how to update the PHP.

For those also hosted on Bluehost, can you describe what's the procedure to switch to "modern" PHP?

sbutlerusa wrote:

I'm now running 2.9.4.

Perfect :-)

sbutlerusa wrote:

Thank you for all of your help. This support forum is excellent!

I'm glad you're happy :-)


Latest blog post (May 3rd 2018) New subscription form

Offline

 

#11 2018-07-20 17:32:33

sbutlerusa
Member
2018-07-19
6

Re: site error after 2.9.4 update

From the Bluehost cPanel, go to Programming > PHP Config > select the PHP version you're interested in and click Save Changes

Offline

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2018 · Contact